org.keycloak.adapters.undertow

## Class KeycloakUndertowAccount

- java.lang.Object
- - org.keycloak.adapters.undertow.KeycloakUndertowAccount

- All Implemented Interfaces:
    io.undertow.security.idm.Account, Serializable, KeycloakAccount

      public class KeycloakUndertowAccount
      extends Object
      implements io.undertow.security.idm.Account, Serializable, KeycloakAccount

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<String>` | `accountRoles`
    `protected static org.jboss.logging.Logger` | `log`
    `protected KeycloakPrincipal<RefreshableKeycloakSecurityContext>` | `principal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakUndertowAccount(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkActive()`
    `RefreshableKeycloakSecurityContext` | `getKeycloakSecurityContext()`
    `Principal` | `getPrincipal()`
    `Set<String>` | `getRoles()`
    `void` | `setCurrentRequestInfo(KeycloakDeployment deployment, AdapterTokenStore tokenStore)`
    `protected void` | `setRoles(RefreshableKeycloakSecurityContext session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static org.jboss.logging.Logger log

    - #### principal

          protected KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal

    - #### accountRoles

          protected Set<String> accountRoles

  - ### Constructor Detail

    - #### KeycloakUndertowAccount

          public KeycloakUndertowAccount(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal)

  - ### Method Detail

    - #### setRoles

          protected void setRoles(RefreshableKeycloakSecurityContext session)

    - #### getPrincipal

          public Principal getPrincipal()

      Specified by:
        `getPrincipal` in interface `io.undertow.security.idm.Account`
      Specified by:
        `getPrincipal` in interface `KeycloakAccount`

    - #### getRoles

          public Set<String> getRoles()

      Specified by:
        `getRoles` in interface `io.undertow.security.idm.Account`
      Specified by:
        `getRoles` in interface `KeycloakAccount`

    - #### getKeycloakSecurityContext

          public RefreshableKeycloakSecurityContext getKeycloakSecurityContext()

      Specified by:
        `getKeycloakSecurityContext` in interface `KeycloakAccount`

    - #### setCurrentRequestInfo

          public void setCurrentRequestInfo(KeycloakDeployment deployment,
                                   AdapterTokenStore tokenStore)

    - #### checkActive

          public boolean checkActive()

Copyright © 2015. All Rights Reserved.